/****************************************************************************
 *
 *  *********************************************************************
 *  *   Copyright (C) 2004-2005 KONICA MINOLTA MEDICAL&GAPHIC, INC.     *
 *  *   All rights reserved.                                            *
 *  *********************************************************************
 *
 *Υƥ̾Ρ
 *  DRYPRO MODEL 793 PEBǥХɥ饤
 *
 *Υ⥸塼̾Ρ
 *  PebMap.h
 *
 *Υȡ
 *  ǥХ(PEB)I/Oޥåե
 *
 ****************************************************************************/

#ifndef __PEB_MAP_H__
#define __PEB_MAP_H__

#ifdef __cplusplus
extern "C" {
#endif


/****************************************************************************
 *
 *
 *  I/Oޥå
 *
 *
 ****************************************************************************/

/*==========================================================================*
 *
 *  쥸ΰ륢ɥ쥹
 *
 *==========================================================================*/
#define REG_PCI_SIZE        (0x00100000)    // PCIɥ쥹ΰ(1MB)
#define REG_PCI_MASK        (0x000ffffc)    // PCIɥ쥹ΰޥ
#define PEB_REG_ADDR        (0x00000000)    // Ƭ륢ɥ쥹

/*--------------------------------------------------------------------------*
 *  ƥ쥸ΰ襪եåȥɥ쥹
 *--------------------------------------------------------------------------*/
#define REG_PDMA_PAdr       (0x00000000)    // PCI-DMAPCIɥ쥹쥸
#define REG_PDMA_LAdr       (0x00000004)    // PCI-DMA륢ɥ쥹쥸
#define REG_PDMA_Count      (0x00000008)    // PCI-DMAȥ쥸
#define REG_PDMA_Ctl        (0x0000000c)    // PCI-DMA쥸
#define REG_PCIB_Adr        (0x00000010)    // PCI١ɥ쥹ɥɥ쥹쥸
#define REG_Int_Req         (0x00000014)    // INTAװ쥸
#define REG_Int_Msk         (0x00000018)    // INTAޥ쥸
#define REG_Prt_State       (0x0000001c)    // ץȥơ쥸
#define REG_Prt_Mem         (0x00000020)    // ץȥ̥쥸
#define REG_Local_Rst       (0x00000024)    // ꥻåȥ쥸
#define REG_LED_Ctl         (0x00000028)    // LED쥸
#define REG_DSW_Read        (0x0000002c)    // DIPSWȥ쥸
#define REG_Exp_Read        (0x00000030)    // Ϫ滲ȥ쥸
#define REG_Exp_Latch       (0x00000034)    // Ϫå쥸
#define REG_IO_Ctl          (0x00000040)    // I/Oݡ쥸
#define REG_IO_Data         (0x00000044)    // I/Oݡȥǡ쥸
#define REG_FL_Write        (0x00000048)    // FLASHߵĥ쥸
#define REG_FPGA_Ver        (0x0000004c)    // FPGAС쥸
#define REG_PEB_Rev         (0x00000050)    // PEBӥ쥸
#define REG_FL_HAdr         (0x00000054)    // FLASH̥ɥ쥹쥸

/*--------------------------------------------------------------------------*
 *  ⥸塼쥸ΰ襪եåȥɥ쥹
 *--------------------------------------------------------------------------*/
#define REG_Unit_Ctl        (0x00000400)    // ˥å쥸
#define REG_Soft_Rst1       (0x00000404)    // եȥꥻåȥ쥸
#define REG_Img_InAdr       (0x00000408)    // ΰ踶쥸
#define REG_Img_TmpAdr      (0x0000040c)    // ΰ踶쥸
#define REG_Img_OutAdr      (0x00000410)    // ΰ踶쥸
#define REG_Img_ILPix       (0x00000414)    // ΰ裱饤ǿ쥸
#define REG_Img_OLPix       (0x00000418)    // ΰ裱饤ǿ쥸
#define REG_Img_IFAdr       (0x0000041c)    // ϥե졼ึ쥸
#define REG_Img_OFAdr       (0x00000420)    // ϥե졼ึ쥸
#define REG_Img_IHPix       (0x00000424)    // ϥե졼ǿ쥸
#define REG_Img_IVPix       (0x00000428)    // ϥե졼ǿ쥸
#define REG_Img_OHPix       (0x0000042c)    // ϥե졼ǿ쥸
#define REG_Img_OVPix       (0x00000430)    // ϥե졼ǿ쥸
#define REG_Img_HRatio      (0x00000434)    // Ψ쥸
#define REG_Img_VRatio      (0x00000438)    // Ψ쥸
#define REG_Img_Layout      (0x0000043c)    // ե졼쥤ȥ쥸
#define REG_Trm_Pix         (0x00000440)    // ȥ쥸
#define REG_Trm_Dens        (0x00000444)    // ȥǻ٥쥸
#define REG_Brdr_Adr        (0x00000448)    // ܡ쥸
#define REG_Brdr_Dens       (0x0000044c)    // ܡǻ٥쥸
#define REG_Ptc_Adr         (0x00000450)    // ǻ٥ѥå쥸
#define REG_Ptc_HPix        (0x00000454)    // ǻ٥ѥåǿ쥸
#define REG_Ptc_VPix        (0x00000458)    // ǻ٥ѥåǿ쥸
#define REG_Ptc_Dens        (0x0000045c)    // ǻ٥ѥåǻ٥쥸
#define REG_Font_Adr1       (0x00000460)    // եȥǡǼΰ踶쥸
#define REG_Font_Size1      (0x00000478)    // եȥǡ쥸
#define REG_Brdr_SPAdr      (0x00000494)    // ܡ쥸
#define REG_Chr_DensTh      (0x00000498)    // ʸǻ٤ͥ쥸
#define REG_Chr_Adr1        (0x00001000)    // ʸ쥸
#define REG_Chr_Ctl1        (0x00001004)    // ʸ쥸
#define REG_Chr_Code1       (0x00001200)    // ʸ󥳡ɣ
#define REG_Hokan_LUT0      (0x00002000)    // ַLUT(w0)
#define REG_Hokan_LUT1      (0x00002400)    // ַLUT(w1)
#define REG_Hokan_LUT2      (0x00002800)    // ַLUT(w2)
#define REG_Hokan_LUT3      (0x00002c00)    // ַLUT(w3)

/*--------------------------------------------------------------------------*
 *  ϪIF⥸塼쥸ΰ襪եåȥɥ쥹
 *--------------------------------------------------------------------------*/
#define REG_Prn_Ctl         (0x00004000)    // ץ쥸
#define REG_Soft_Rst2       (0x00004004)    // եȥꥻåȥ쥸
#define REG_Bri_Hsync       (0x00004008)    // HSYNCи̥쥸
#define REG_Start_Hsync     (0x0000400c)    // HSYNCгϰ֥쥸
#define REG_Stop_Hsync      (0x00004010)    // HSYNCнλ֥쥸
#define REG_Start_HPix      (0x00004014)    // ǡϳϰ֥쥸
#define REG_Stop_HPix       (0x00004018)    // ǡϽλ֥쥸
#define REG_Line_HPix       (0x0000401c)    // 饤ϲǿ쥸
#define REG_Start_VPix      (0x00004020)    // ǡϳϰ֥쥸
#define REG_Stop_VPix       (0x00004024)    // ǡϽλ֥쥸
#define REG_Prn_Adr         (0x00004028)    // ץȸ쥸
#define REG_Prn_LOPix       (0x0000402c)    // ץȥ饤󥪥եåȥ쥸
#define REG_Test_Mode       (0x00004030)    // ƥȥ⡼ɥ쥸
#define REG_Mura_Switch     (0x00004034)    // عԿ쥸
#define REG_Start_MuraLUT   (0x00004038)    // ϰ֥쥸
#define REG_Stop_MuraLUT    (0x0000403c)    // λ֥쥸
#define REG_Start_KotanLUT  (0x00004040)    // üϰ֥쥸
#define REG_Start_UtanLUT   (0x00004044)    // üϰ֥쥸
#define REG_Koryo_LUT       (0x00004400)    // ǻ١ѴLUT
#define REG_Mura_LUT0_1     (0x00004800)    // Υ쥸#0
#define REG_Mura_LUT1_1     (0x00004900)    // Υ쥸#1
#define REG_Mura_LUT2_1     (0x00004a00)    // Υ쥸#2
#define REG_Mura_LUT3_1     (0x00004b00)    // Υ쥸#3
#define REG_Mura_LUT4_1     (0x00004c00)    // Υ쥸#4
#define REG_Mura_LUT5_1     (0x00004d00)    // Υ쥸#5
#define REG_Mura_LUT0_2     (0x00005000)    // Υ쥸#0
#define REG_Mura_LUT1_2     (0x00005100)    // Υ쥸#1
#define REG_Mura_LUT2_2     (0x00005200)    // Υ쥸#2
#define REG_Mura_LUT3_2     (0x00005300)    // Υ쥸#3
#define REG_Mura_LUT4_2     (0x00005400)    // Υ쥸#4
#define REG_Mura_LUT5_2     (0x00005500)    // Υ쥸#5
#define REG_Mura_LUT0_3     (0x00005800)    // Υ쥸#0
#define REG_Mura_LUT1_3     (0x00005900)    // Υ쥸#1
#define REG_Mura_LUT2_3     (0x00005a00)    // Υ쥸#2
#define REG_Mura_LUT3_3     (0x00005b00)    // Υ쥸#3
#define REG_Mura_LUT4_3     (0x00005c00)    // Υ쥸#4
#define REG_Mura_LUT5_3     (0x00005d00)    // Υ쥸#5
#define REG_Mura_LUT0_4     (0x00006000)    // Υ쥸#0
#define REG_Mura_LUT1_4     (0x00006100)    // Υ쥸#1
#define REG_Mura_LUT2_4     (0x00006200)    // Υ쥸#2
#define REG_Mura_LUT3_4     (0x00006300)    // Υ쥸#3
#define REG_Mura_LUT4_4     (0x00006400)    // Υ쥸#4
#define REG_Mura_LUT5_4     (0x00006500)    // Υ쥸#5
#define REG_Mura_LUT0_5     (0x00006800)    // Υ쥸#0
#define REG_Mura_LUT1_5     (0x00006900)    // Υ쥸#1
#define REG_Mura_LUT2_5     (0x00006a00)    // Υ쥸#2
#define REG_Mura_LUT3_5     (0x00006b00)    // Υ쥸#3
#define REG_Mura_LUT4_5     (0x00006c00)    // Υ쥸#4
#define REG_Mura_LUT5_5     (0x00006d00)    // Υ쥸#5
#define REG_Mura_LUT0_6     (0x00007000)    // Υ쥸#0
#define REG_Mura_LUT1_6     (0x00007100)    // Υ쥸#1
#define REG_Mura_LUT2_6     (0x00007200)    // Υ쥸#2
#define REG_Mura_LUT3_6     (0x00007300)    // Υ쥸#3
#define REG_Mura_LUT4_6     (0x00007400)    // Υ쥸#4
#define REG_Mura_LUT5_6     (0x00007500)    // Υ쥸#5
#define REG_Mura_LUT0_7     (0x00007800)    // Υ쥸#0
#define REG_Mura_LUT1_7     (0x00007900)    // Υ쥸#1
#define REG_Mura_LUT2_7     (0x00007a00)    // Υ쥸#2
#define REG_Mura_LUT3_7     (0x00007b00)    // Υ쥸#3
#define REG_Mura_LUT4_7     (0x00007c00)    // Υ쥸#4
#define REG_Mura_LUT5_7     (0x00007d00)    // Υ쥸#5
#define REG_Mura_LUT0_8     (0x00008000)    // Υ쥸#0
#define REG_Mura_LUT1_8     (0x00008100)    // Υ쥸#1
#define REG_Mura_LUT2_8     (0x00008200)    // Υ쥸#2
#define REG_Mura_LUT3_8     (0x00008300)    // Υ쥸#3
#define REG_Mura_LUT4_8     (0x00008400)    // Υ쥸#4
#define REG_Mura_LUT5_8     (0x00008500)    // Υ쥸#5
#define REG_Mura_LUT0_9     (0x00008800)    // Υ쥸#0
#define REG_Mura_LUT1_9     (0x00008900)    // Υ쥸#1
#define REG_Mura_LUT2_9     (0x00008a00)    // Υ쥸#2
#define REG_Mura_LUT3_9     (0x00008b00)    // Υ쥸#3
#define REG_Mura_LUT4_9     (0x00008c00)    // Υ쥸#4
#define REG_Mura_LUT5_9     (0x00008d00)    // Υ쥸#5
#define REG_Mura_LUT0_10    (0x00009000)    // Υ쥸#0
#define REG_Mura_LUT1_10    (0x00009100)    // Υ쥸#1
#define REG_Mura_LUT2_10    (0x00009200)    // Υ쥸#2
#define REG_Mura_LUT3_10    (0x00009300)    // Υ쥸#3
#define REG_Mura_LUT4_10    (0x00009400)    // Υ쥸#4
#define REG_Mura_LUT5_10    (0x00009500)    // Υ쥸#5
#define REG_Mura_LUT0_11    (0x00009800)    // Υ쥸#0
#define REG_Mura_LUT1_11    (0x00009900)    // Υ쥸#1
#define REG_Mura_LUT2_11    (0x00009a00)    // Υ쥸#2
#define REG_Mura_LUT3_11    (0x00009b00)    // Υ쥸#3
#define REG_Mura_LUT4_11    (0x00009c00)    // Υ쥸#4
#define REG_Mura_LUT5_11    (0x00009d00)    // Υ쥸#5
#define REG_Mura_LUT0_12    (0x0000a000)    // Υ쥸#0
#define REG_Mura_LUT1_12    (0x0000a100)    // Υ쥸#1
#define REG_Mura_LUT2_12    (0x0000a200)    // Υ쥸#2
#define REG_Mura_LUT3_12    (0x0000a300)    // Υ쥸#3
#define REG_Mura_LUT4_12    (0x0000a400)    // Υ쥸#4
#define REG_Mura_LUT5_12    (0x0000a500)    // Υ쥸#5
#define REG_Mura_LUT0_13    (0x0000a800)    // Υ쥸#0
#define REG_Mura_LUT1_13    (0x0000a900)    // Υ쥸#1
#define REG_Mura_LUT2_13    (0x0000aa00)    // Υ쥸#2
#define REG_Mura_LUT3_13    (0x0000ab00)    // Υ쥸#3
#define REG_Mura_LUT4_13    (0x0000ac00)    // Υ쥸#4
#define REG_Mura_LUT5_13    (0x0000ad00)    // Υ쥸#5
#define REG_Mura_LUT0_14    (0x0000b000)    // Υ쥸#0
#define REG_Mura_LUT1_14    (0x0000b100)    // Υ쥸#1
#define REG_Mura_LUT2_14    (0x0000b200)    // Υ쥸#2
#define REG_Mura_LUT3_14    (0x0000b300)    // Υ쥸#3
#define REG_Mura_LUT4_14    (0x0000b400)    // Υ쥸#4
#define REG_Mura_LUT5_14    (0x0000b500)    // Υ쥸#5
#define REG_Mura_LUT0_15    (0x0000b800)    // Υ쥸#0
#define REG_Mura_LUT1_15    (0x0000b900)    // Υ쥸#1
#define REG_Mura_LUT2_15    (0x0000ba00)    // Υ쥸#2
#define REG_Mura_LUT3_15    (0x0000bb00)    // Υ쥸#3
#define REG_Mura_LUT4_15    (0x0000bc00)    // Υ쥸#4
#define REG_Mura_LUT5_15    (0x0000bd00)    // Υ쥸#5
#define REG_Sentan_LUT      (0x0000c000)    // üLUT
#define REG_Kotan_LUT       (0x0000c100)    // üLUT
#define REG_Sayutan_LUT     (0x0000c180)    // üLUT

/*--------------------------------------------------------------------------*
 *  ȿĴ쥸ΰ襪եåȥɥ쥹
 *--------------------------------------------------------------------------*/
#define REG_FFREQ_DATA0_1   (0x00010000)    // ȿĴǡ쥸#0-1
#define REG_FFREQ_DATA0_2   (0x00010004)    // ȿĴǡ쥸#0-2
#define REG_FFREQ_DATA1_1   (0x00010008)    // ȿĴǡ쥸#1-1
#define REG_FFREQ_DATA1_2   (0x0001000c)    // ȿĴǡ쥸#1-2
#define REG_FFREQ_DATA2_1   (0x00010010)    // ȿĴǡ쥸#2-1
#define REG_FFREQ_DATA2_2   (0x00010014)    // ȿĴǡ쥸#2-2
#define REG_FFREQ_DATA3_1   (0x00010018)    // ȿĴǡ쥸#3-1
#define REG_FFREQ_DATA3_2   (0x0001001c)    // ȿĴǡ쥸#3-2
#define REG_FFREQ_DATA4_1   (0x00010020)    // ȿĴǡ쥸#4-1
#define REG_FFREQ_DATA4_2   (0x00010024)    // ȿĴǡ쥸#4-2
#define REG_FFREQ_DATA5_1   (0x00010028)    // ȿĴǡ쥸#5-1
#define REG_FFREQ_DATA5_2   (0x0001002c)    // ȿĴǡ쥸#5-2
#define REG_FLINE_DATA0_1   (0x00010030)    // 쥸ȥ󥵴ֵΥ쥸#0-1
#define REG_FLINE_DATA0_2   (0x00010034)    // 쥸ȥ󥵴ֵΥ쥸#0-2
#define REG_FF_MOD          (0x00010060)    // ȿĴ쥸
#define REG_FDELAY_RATIO    (0x00010064)    // Ĵǥ쥤ʿ쥸
#define REG_FCUT            (0x00010068)    // Ĵǥ쥤쥸
#define REG_FSEL1ST_ADJ     (0x0001006c)    // ȿ쥯Ƚ̥쥸
#define REG_FSEL_ADJ        (0x00010070)    // ȿ쥯ٱ쥸
#define REG_LS_START        (0x00010074)    // LSYNCϥߥ󥰥쥸
#define REG_LS_WIDTH        (0x00010078)    // LSYNC쥸
#define REG_FFREQ_READ_1    (0x0001007c)    // ȿĴǡ꡼ɥ쥸
#define REG_FFREQ_READ_2    (0x00010080)    // ȿĴǡ꡼ɥ쥸

/*==========================================================================*
 *
 *  RAMΰ륢ɥ쥹
 *
 *==========================================================================*/
#define RAM_PCI_SIZE        (0x00200000)    // PCIɥ쥹ΰ(2MB)
#define RAM_PCI_MASK        (0x001ffffc)    // PCIɥ쥹ΰޥ
#define PEB_RAM_ADDR        (0x40000000)    // Ƭ륢ɥ쥹

/*--------------------------------------------------------------------------*
 *  եȥǡΰ襪եåȥɥ쥹
 *--------------------------------------------------------------------------*/
#define RAM_Font_Adr        (0x40000000)    // եȥǡ

/*--------------------------------------------------------------------------*
 *  ϲǼΰ襪եåȥɥ쥹
 *--------------------------------------------------------------------------*/
#define RAM_Img_InAdr_512   (0x42800000)    // ϲǡ(512MB)
#define RAM_Img_InAdr_1024  (0x4cc00000)    // ϲǡ(1GB)

/*--------------------------------------------------------------------------*
 *  ֲǼΰ襪եåȥɥ쥹
 *--------------------------------------------------------------------------*/
#define RAM_Img_TmpAdr_512  (0x4c400000)    // ֲǡ(512MB)
#define RAM_Img_TmpAdr_1024 (0x56800000)    // ֲǡ(1GB)

/*--------------------------------------------------------------------------*
 *  ϲǼΰ襪եåȥɥ쥹
 *--------------------------------------------------------------------------*/
#define RAM_Img_OutAdr_512  (0x56000000)    // ϲǡ(512MB)
#define RAM_Img_OutAdr_1024 (0x60400000)    // ϲǡ(1GB)

/*==========================================================================*
 *
 *  FPGAե졼ΰ륢ɥ쥹
 *
 *==========================================================================*/
#define ROM_PCI_SIZE        (0x00800000)    // PCIɥ쥹ΰ(8MB)
#define ROM_PCI_MASK        (0x007ffffc)    // PCIɥ쥹ΰޥ
#define PEB_ROM_ADDR        (0x00200000)    // Ƭ륢ɥ쥹

/*--------------------------------------------------------------------------*
 *  FPGAե졼ǡΰ
 *--------------------------------------------------------------------------*/
#define ROM_FPGA_Data1      (0x00200000)    // FPGAե졼ǡ
#define ROM_FPGA_Data2      (0x00600000)    // FPGAե졼ǡ


/****************************************************************************
 *
 *
 *  쥸ޥ
 *
 *
 ****************************************************************************/

/*==========================================================================*
 *
 *  ƥ쥸
 *
 *==========================================================================*/
#define MSK_PDMA_PAdr       (0xfffffffc)    // PCI-DMAPCIɥ쥹쥸
#define MSK_PDMA_LAdr       (0xfffffffc)    // PCI-DMA륢ɥ쥹쥸
#define MSK_PDMA_Count      (0x001ffffc)    // PCI-DMAȥ쥸
#define MSK_PDMA_Ctl        (0x0000001f)    // PCI-DMA쥸
#define MSK_PCIB_Adr        (0xffe00000)    // PCI١ɥ쥹ɥɥ쥹쥸
#define MSK_Int_Req         (0x0000003f)    // INTAװ쥸
#define MSK_Int_Msk         (0x0000003f)    // INTAޥ쥸
#define MSK_Prt_State       (0x00003f1f)    // ץȥơ쥸
#define MSK_Prt_Mem         (0x00000001)    // ץȥ̥쥸
#define MSK_Local_Rst       (0x00000001)    // ꥻåȥ쥸
#define MSK_LED_Ctl         (0x000000ff)    // LED쥸
#define MSK_DSW_Read        (0x0000ffff)    // DIPSWȥ쥸
#define MSK_Exp_Read        (0x000007ff)    // Ϫ滲ȥ쥸
#define MSK_Exp_Latch       (0x0000000f)    // Ϫå쥸
#define MSK_IO_Ctl          (0x0000ffff)    // I/Oݡ쥸
#define MSK_IO_Data         (0x0000ffff)    // I/Oݡȥǡ쥸
#define MSK_FL_Write        (0x00000007)    // FLASHߵĥ쥸
#define MSK_FPGA_Ver        (0x0000ffff)    // FPGAС쥸
#define MSK_PEB_Rev         (0x000000ff)    // PEBӥ쥸
#define MSK_FL_HAdr         (0x000001ff)    // FLASH̥ɥ쥹쥸

/*==========================================================================*
 *
 *  ⥸塼쥸
 *
 *==========================================================================*/
#define MSK_Unit_Ctl        (0x0000001f)    // ˥å쥸
#define MSK_Soft_Rst1       (0x00000001)    // եȥꥻåȥ쥸
#define MSK_Img_InAdr       (0xffffffc0)    // ΰ踶쥸
#define MSK_Img_TmpAdr      (0xffffffc0)    // ΰ踶쥸
#define MSK_Img_OutAdr      (0xffffffc0)    // ΰ踶쥸
#define MSK_Img_ILPix       (0x00003fff)    // ΰ裱饤ǿ쥸
#define MSK_Img_OLPix       (0x00003fe0)    // ΰ裱饤ǿ쥸
#define MSK_Img_IFAdr       (0xfffffff8)    // ϥե졼ึ쥸
#define MSK_Img_OFAdr       (0xfffffffe)    // ϥե졼ึ쥸
#define MSK_Img_IHPix       (0x00003fff)    // ϥե졼ǿ쥸
#define MSK_Img_IVPix       (0x00003fff)    // ϥե졼ǿ쥸
#define MSK_Img_OHPix       (0x00003fff)    // ϥե졼ǿ쥸
#define MSK_Img_OVPix       (0x00003fff)    // ϥե졼ǿ쥸
#define MSK_Img_HRatio      (0x001fffff)    // Ψ쥸
#define MSK_Img_VRatio      (0x001fffff)    // Ψ쥸
#define MSK_Img_Layout      (0x00000003)    // ե졼쥤ȥ쥸
#define MSK_Trm_Pix         (0x000000ff)    // ȥ쥸
#define MSK_Trm_Dens        (0x0000ffff)    // ȥǻ٥쥸
#define MSK_Brdr_Adr        (0xfffffff8)    // ܡ쥸
#define MSK_Brdr_Dens       (0x0000ffff)    // ܡǻ٥쥸
#define MSK_Ptc_Adr         (0xfffffffe)    // ǻ٥ѥå쥸
#define MSK_Ptc_HPix        (0x000003ff)    // ǻ٥ѥåǿ쥸
#define MSK_Ptc_VPix        (0x000003ff)    // ǻ٥ѥåǿ쥸
#define MSK_Ptc_Dens        (0x0000ffff)    // ǻ٥ѥåǻ٥쥸
#define MSK_Font_Adr1       (0xffffffff)    // եȥǡǼΰ踶쥸
#define MSK_Font_Size1      (0xffffffff)    // եȥǡ쥸
#define MSK_Brdr_SPAdr      (0xfffffff8)    // ܡ쥸
#define MSK_Chr_DensTh      (0x0000ffff)    // ʸǻ٤ͥ쥸
#define MSK_Chr_Adr1        (0xfffffffe)    // ʸ쥸
#define MSK_Chr_Ctl1        (0x0000ff77)    // ʸ쥸
#define MSK_Chr_Code1       (0xffffffff)    // ʸ󥳡ɣ
#define MSK_Hokan_LUT0      (0x0000ffff)    // ַLUT(w0)
#define MSK_Hokan_LUT1      (0x0000ffff)    // ַLUT(w1)
#define MSK_Hokan_LUT2      (0x0000ffff)    // ַLUT(w2)
#define MSK_Hokan_LUT3      (0x0000ffff)    // ַLUT(w3)

/*==========================================================================*
 *
 *  ϪIF⥸塼쥸
 *
 *==========================================================================*/
#define MSK_Prn_Ctl         (0x03ff000f)    // ץ쥸
#define MSK_Soft_Rst2       (0x00000001)    // եȥꥻåȥ쥸
#define MSK_Bri_Hsync       (0x00003fff)    // HSYNCи̥쥸
#define MSK_Start_Hsync     (0x00007fff)    // HSYNCгϰ֥쥸
#define MSK_Stop_Hsync      (0x00007fff)    // HSYNCнλ֥쥸
#define MSK_Start_HPix      (0x00007fff)    // ǡϳϰ֥쥸
#define MSK_Stop_HPix       (0x00007fff)    // ǡϽλ֥쥸
#define MSK_Line_HPix       (0x00007fff)    // 饤ϲǿ쥸
#define MSK_Start_VPix      (0x00007fff)    // ǡϳϰ֥쥸
#define MSK_Stop_VPix       (0x00007fff)    // ǡϽλ֥쥸
#define MSK_Prn_Adr         (0xfffffffe)    // ץȸ쥸
#define MSK_Prn_LOPix       (0x00003ffc)    // ץȥ饤󥪥եåȥ쥸
#define MSK_Test_Mode       (0x00000007)    // ƥȥ⡼ɥ쥸
#define MSK_Mura_Switch     (0x00007fff)    // عԿ쥸
#define MSK_Start_MuraLUT   (0x00007fff)    // ϰ֥쥸
#define MSK_Stop_MuraLUT    (0x00007fff)    // λ֥쥸
#define MSK_Start_KotanLUT  (0x00007fff)    // üϰ֥쥸
#define MSK_Start_UtanLUT   (0x00007fff)    // üϰ֥쥸
#define MSK_Koryo_LUT       (0x00003fff)    // ǻ١ѴLUT
#define MSK_Mura_LUT0_1     (0x00003fff)    // Υ쥸#0
#define MSK_Mura_LUT1_1     (0x00003fff)    // Υ쥸#1
#define MSK_Mura_LUT2_1     (0x00003fff)    // Υ쥸#2
#define MSK_Mura_LUT3_1     (0x00003fff)    // Υ쥸#3
#define MSK_Mura_LUT4_1     (0x00003fff)    // Υ쥸#4
#define MSK_Mura_LUT5_1     (0x00003fff)    // Υ쥸#5
#define MSK_Mura_LUT0_2     (0x00003fff)    // Υ쥸#0
#define MSK_Mura_LUT1_2     (0x00003fff)    // Υ쥸#1
#define MSK_Mura_LUT2_2     (0x00003fff)    // Υ쥸#2
#define MSK_Mura_LUT3_2     (0x00003fff)    // Υ쥸#3
#define MSK_Mura_LUT4_2     (0x00003fff)    // Υ쥸#4
#define MSK_Mura_LUT5_2     (0x00003fff)    // Υ쥸#5
#define MSK_Mura_LUT0_3     (0x00003fff)    // Υ쥸#0
#define MSK_Mura_LUT1_3     (0x00003fff)    // Υ쥸#1
#define MSK_Mura_LUT2_3     (0x00003fff)    // Υ쥸#2
#define MSK_Mura_LUT3_3     (0x00003fff)    // Υ쥸#3
#define MSK_Mura_LUT4_3     (0x00003fff)    // Υ쥸#4
#define MSK_Mura_LUT5_3     (0x00003fff)    // Υ쥸#5
#define MSK_Mura_LUT0_4     (0x00003fff)    // Υ쥸#0
#define MSK_Mura_LUT1_4     (0x00003fff)    // Υ쥸#1
#define MSK_Mura_LUT2_4     (0x00003fff)    // Υ쥸#2
#define MSK_Mura_LUT3_4     (0x00003fff)    // Υ쥸#3
#define MSK_Mura_LUT4_4     (0x00003fff)    // Υ쥸#4
#define MSK_Mura_LUT5_4     (0x00003fff)    // Υ쥸#5
#define MSK_Mura_LUT0_5     (0x00003fff)    // Υ쥸#0
#define MSK_Mura_LUT1_5     (0x00003fff)    // Υ쥸#1
#define MSK_Mura_LUT2_5     (0x00003fff)    // Υ쥸#2
#define MSK_Mura_LUT3_5     (0x00003fff)    // Υ쥸#3
#define MSK_Mura_LUT4_5     (0x00003fff)    // Υ쥸#4
#define MSK_Mura_LUT5_5     (0x00003fff)    // Υ쥸#5
#define MSK_Mura_LUT0_6     (0x00003fff)    // Υ쥸#0
#define MSK_Mura_LUT1_6     (0x00003fff)    // Υ쥸#1
#define MSK_Mura_LUT2_6     (0x00003fff)    // Υ쥸#2
#define MSK_Mura_LUT3_6     (0x00003fff)    // Υ쥸#3
#define MSK_Mura_LUT4_6     (0x00003fff)    // Υ쥸#4
#define MSK_Mura_LUT5_6     (0x00003fff)    // Υ쥸#5
#define MSK_Mura_LUT0_7     (0x00003fff)    // Υ쥸#0
#define MSK_Mura_LUT1_7     (0x00003fff)    // Υ쥸#1
#define MSK_Mura_LUT2_7     (0x00003fff)    // Υ쥸#2
#define MSK_Mura_LUT3_7     (0x00003fff)    // Υ쥸#3
#define MSK_Mura_LUT4_7     (0x00003fff)    // Υ쥸#4
#define MSK_Mura_LUT5_7     (0x00003fff)    // Υ쥸#5
#define MSK_Mura_LUT0_8     (0x00003fff)    // Υ쥸#0
#define MSK_Mura_LUT1_8     (0x00003fff)    // Υ쥸#1
#define MSK_Mura_LUT2_8     (0x00003fff)    // Υ쥸#2
#define MSK_Mura_LUT3_8     (0x00003fff)    // Υ쥸#3
#define MSK_Mura_LUT4_8     (0x00003fff)    // Υ쥸#4
#define MSK_Mura_LUT5_8     (0x00003fff)    // Υ쥸#5
#define MSK_Mura_LUT0_9     (0x00003fff)    // Υ쥸#0
#define MSK_Mura_LUT1_9     (0x00003fff)    // Υ쥸#1
#define MSK_Mura_LUT2_9     (0x00003fff)    // Υ쥸#2
#define MSK_Mura_LUT3_9     (0x00003fff)    // Υ쥸#3
#define MSK_Mura_LUT4_9     (0x00003fff)    // Υ쥸#4
#define MSK_Mura_LUT5_9     (0x00003fff)    // Υ쥸#5
#define MSK_Mura_LUT0_10    (0x00003fff)    // Υ쥸#0
#define MSK_Mura_LUT1_10    (0x00003fff)    // Υ쥸#1
#define MSK_Mura_LUT2_10    (0x00003fff)    // Υ쥸#2
#define MSK_Mura_LUT3_10    (0x00003fff)    // Υ쥸#3
#define MSK_Mura_LUT4_10    (0x00003fff)    // Υ쥸#4
#define MSK_Mura_LUT5_10    (0x00003fff)    // Υ쥸#5
#define MSK_Mura_LUT0_11    (0x00003fff)    // Υ쥸#0
#define MSK_Mura_LUT1_11    (0x00003fff)    // Υ쥸#1
#define MSK_Mura_LUT2_11    (0x00003fff)    // Υ쥸#2
#define MSK_Mura_LUT3_11    (0x00003fff)    // Υ쥸#3
#define MSK_Mura_LUT4_11    (0x00003fff)    // Υ쥸#4
#define MSK_Mura_LUT5_11    (0x00003fff)    // Υ쥸#5
#define MSK_Mura_LUT0_12    (0x00003fff)    // Υ쥸#0
#define MSK_Mura_LUT1_12    (0x00003fff)    // Υ쥸#1
#define MSK_Mura_LUT2_12    (0x00003fff)    // Υ쥸#2
#define MSK_Mura_LUT3_12    (0x00003fff)    // Υ쥸#3
#define MSK_Mura_LUT4_12    (0x00003fff)    // Υ쥸#4
#define MSK_Mura_LUT5_12    (0x00003fff)    // Υ쥸#5
#define MSK_Mura_LUT0_13    (0x00003fff)    // Υ쥸#0
#define MSK_Mura_LUT1_13    (0x00003fff)    // Υ쥸#1
#define MSK_Mura_LUT2_13    (0x00003fff)    // Υ쥸#2
#define MSK_Mura_LUT3_13    (0x00003fff)    // Υ쥸#3
#define MSK_Mura_LUT4_13    (0x00003fff)    // Υ쥸#4
#define MSK_Mura_LUT5_13    (0x00003fff)    // Υ쥸#5
#define MSK_Mura_LUT0_14    (0x00003fff)    // Υ쥸#0
#define MSK_Mura_LUT1_14    (0x00003fff)    // Υ쥸#1
#define MSK_Mura_LUT2_14    (0x00003fff)    // Υ쥸#2
#define MSK_Mura_LUT3_14    (0x00003fff)    // Υ쥸#3
#define MSK_Mura_LUT4_14    (0x00003fff)    // Υ쥸#4
#define MSK_Mura_LUT5_14    (0x00003fff)    // Υ쥸#5
#define MSK_Mura_LUT0_15    (0x00003fff)    // Υ쥸#0
#define MSK_Mura_LUT1_15    (0x00003fff)    // Υ쥸#1
#define MSK_Mura_LUT2_15    (0x00003fff)    // Υ쥸#2
#define MSK_Mura_LUT3_15    (0x00003fff)    // Υ쥸#3
#define MSK_Mura_LUT4_15    (0x00003fff)    // Υ쥸#4
#define MSK_Mura_LUT5_15    (0x00003fff)    // Υ쥸#5
#define MSK_Sentan_LUT      (0x0000ffff)    // üLUT
#define MSK_Kotan_LUT       (0x0000ffff)    // üLUT
#define MSK_Sayutan_LUT     (0x0000ffff)    // üLUT

/*==========================================================================*
 *
 *  ȿĴ쥸
 *
 *==========================================================================*/
#define MSK_FFREQ_DATA0_1   (0x000000ff)    // ȿĴǡ쥸#0-1
#define MSK_FFREQ_DATA0_2   (0x0000001f)    // ȿĴǡ쥸#0-2
#define MSK_FFREQ_DATA1_1   (0x000000ff)    // ȿĴǡ쥸#1-1
#define MSK_FFREQ_DATA1_2   (0x0000001f)    // ȿĴǡ쥸#1-2
#define MSK_FFREQ_DATA2_1   (0x000000ff)    // ȿĴǡ쥸#2-1
#define MSK_FFREQ_DATA2_2   (0x0000001f)    // ȿĴǡ쥸#2-2
#define MSK_FFREQ_DATA3_1   (0x000000ff)    // ȿĴǡ쥸#3-1
#define MSK_FFREQ_DATA3_2   (0x0000001f)    // ȿĴǡ쥸#3-2
#define MSK_FFREQ_DATA4_1   (0x000000ff)    // ȿĴǡ쥸#4-1
#define MSK_FFREQ_DATA4_2   (0x0000001f)    // ȿĴǡ쥸#4-2
#define MSK_FFREQ_DATA5_1   (0x000000ff)    // ȿĴǡ쥸#5-1
#define MSK_FFREQ_DATA5_2   (0x0000001f)    // ȿĴǡ쥸#5-2
#define MSK_FLINE_DATA0_1   (0x000000ff)    // 쥸ȥ󥵴ֵΥ쥸#0-1
#define MSK_FLINE_DATA0_2   (0x0000001f)    // 쥸ȥ󥵴ֵΥ쥸#0-2
#define MSK_FF_MOD          (0x0000000f)    // ȿĴ쥸
#define MSK_FDELAY_RATIO    (0x0000001f)    // Ĵǥ쥤ʿ쥸
#define MSK_FCUT            (0x00000003)    // Ĵǥ쥤쥸
#define MSK_FSEL1ST_ADJ     (0x000000ff)    // ȿ쥯Ƚ̥쥸
#define MSK_FSEL_ADJ        (0x000000ff)    // ȿ쥯ٱ쥸
#define MSK_LS_START        (0x000000ff)    // LSYNCϥߥ󥰥쥸
#define MSK_LS_WIDTH        (0x0000000f)    // LSYNC쥸
#define MSK_FFREQ_READ_1    (0x000000ff)    // ȿĴǡ꡼ɥ쥸
#define MSK_FFREQ_READ_2    (0x0000001f)    // ȿĴǡ꡼ɥ쥸


/****************************************************************************
 *
 *
 *  쥸ӥå
 *
 *
 ****************************************************************************/

/*==========================================================================*
 *
 *  ƥ쥸
 *
 *==========================================================================*/
/*--------------------------------------------------------------------------*
 *  PCI-DMA쥸
 *--------------------------------------------------------------------------*/
#define BIT_DMAFIMG         (0x00000010)    // DMAFIMG
#define BIT_DMAIMG          (0x00000008)    // DMAIMG
#define BIT_DMADIR          (0x00000004)    // DMADIR
#define BIT_DMASTOP         (0x00000002)    // DMASTOP
#define BIT_DMASTRT         (0x00000001)    // DMASTRT

/*--------------------------------------------------------------------------*
 *  INTAװ쥸
 *--------------------------------------------------------------------------*/
#define BIT_PRNTINT         (0x00000020)    // PRNTINT
#define BIT_PTCINT          (0x00000010)    // PTCINT
#define BIT_CHRINT          (0x00000008)    // CHRINT
#define BIT_IMGINT          (0x00000004)    // IMGINT
#define BIT_BRDRINT         (0x00000002)    // BRDRINT
#define BIT_PDMAINT         (0x00000001)    // PDMAINT

/*--------------------------------------------------------------------------*
 *  INTAޥ쥸
 *--------------------------------------------------------------------------*/
#define BIT_PRNTINTM        (0x00000020)    // PRNTINTM
#define BIT_PTCINTM         (0x00000010)    // PTCINTM
#define BIT_CHRINTM         (0x00000008)    // CHRINTM
#define BIT_IMGINTM         (0x00000004)    // IMGINTM
#define BIT_BRDRINTM        (0x00000002)    // BRDRINTM
#define BIT_PDMAINTM        (0x00000001)    // PDMAINTM

/*--------------------------------------------------------------------------*
 *  ץȥơ쥸
 *--------------------------------------------------------------------------*/
#define BIT_PRPS            (0x00003000)    // PRPS
#define PRPS_OFF            (0x00000000)    // ݥꥴOFF
#define PRPS_BOOT           (0x00001000)    // ݥꥴư
#define PRPS_REBOOT         (0x00002000)    // ݥꥴƵư
#define PRPS_LOCK           (0x00003000)    // ݥꥴLOCK

#define BIT_PRSE            (0x00000f00)    // PRSE
#define PRSE_NONE           (0x00000000)    // 顼ʤ
#define PRSE_HSNC           (0x00000100)    // HSYNCॢȥ顼
#define PRSE_BOOT           (0x00000200)    // ݥꥴư顼

#define BIT_PRST            (0x0000001f)    // PRST
#define PRST_NONE           (0x00000000)    // ֤ʤ
#define PRST_IDLE           (0x00000001)    // ɥ
#define PRST_PDMA           (0x00000002)    // PCI-DMAž
#define PRST_PDMAIMG        (0x00000003)    // PCI-DMAǡž
#define PRST_BRDR           (0x00000004)    // ܡ
#define PRST_IMG            (0x00000005)    // 
#define PRST_HIMG           (0x00000006)    // ʼ
#define PRST_VIMG           (0x00000007)    // 
#define PRST_CHR            (0x00000008)    // ʸ
#define PRST_PTC            (0x00000009)    // ǻ٥ѥå
#define PRST_VSNC           (0x0000000a)    // VSYNCԤ
#define PRST_PRNT           (0x0000000b)    // ץȽ

/*--------------------------------------------------------------------------*
 *  ꥻåȥ쥸
 *--------------------------------------------------------------------------*/
#define BIT_LRST            (0x00000001)    // LRST

/*--------------------------------------------------------------------------*
 *  Ϫ滲ȥ쥸
 *--------------------------------------------------------------------------*/
#define BIT_EORPEVR         (0x00000400)    // EORPEVR
#define BIT_EORLDON         (0x00000200)    // EORLDON
#define BIT_EORPON          (0x00000100)    // EORPON
#define BIT_EIRPRTE         (0x00000080)    // EIRPRTE
#define BIT_EIRDETP         (0x00000040)    // EIRDETP
#define BIT_EIRLDCU         (0x00000020)    // EIRLDCU
#define BIT_EIRLDBR         (0x00000010)    // EIRLDBR
#define BIT_EIRPLCK         (0x00000008)    // EIRPLCK
#define BIT_EIRTHRM         (0x00000004)    // EIRTHRM
#define BIT_EIRHSNC         (0x00000002)    // EIRHSNC
#define BIT_EIRVSNC         (0x00000001)    // EIRVSNC

/*--------------------------------------------------------------------------*
 *  Ϫå쥸
 *--------------------------------------------------------------------------*/
#define BIT_EILPRTE         (0x00000008)    // EILPRTE
#define BIT_EILDETP         (0x00000004)    // EILDETP
#define BIT_EILHSNC         (0x00000002)    // EILHSNC
#define BIT_EILVSNC         (0x00000001)    // EILVSNC

/*--------------------------------------------------------------------------*
 *  FLASHߵĥ쥸
 *--------------------------------------------------------------------------*/
#define BIT_BSYLAT          (0x00000004)    // BSYLAT
#define BIT_FLBSY           (0x00000002)    // FLBSY
#define BIT_FLW             (0x00000001)    // FLW

/*--------------------------------------------------------------------------*
 *  FPGAС쥸
 *--------------------------------------------------------------------------*/
#define BIT_FVER            (0x0000fff0)    // FVER
#define BIT_FREV            (0x0000000f)    // FREV

/*--------------------------------------------------------------------------*
 *  PEBӥ쥸
 *--------------------------------------------------------------------------*/
#define BIT_PREV            (0x000000ff)    // PREV

/*==========================================================================*
 *
 *  ⥸塼쥸
 *
 *==========================================================================*/
/*--------------------------------------------------------------------------*
 *  ˥å쥸
 *--------------------------------------------------------------------------*/
#define BIT_UCTLPTC         (0x00000010)    // UCTLPTC
#define BIT_UCTLCHR         (0x00000008)    // UCTLCHR
#define BIT_UCTLTRM         (0x00000004)    // UCTLTRM
#define BIT_UCTLIMG         (0x00000002)    // UCTLIMG
#define BIT_UCTLBRDR        (0x00000001)    // UCTLBRDR

/*==========================================================================*
 *
 *  ϪIF⥸塼쥸
 *
 *==========================================================================*/
/*--------------------------------------------------------------------------*
 *  ץ쥸
 *--------------------------------------------------------------------------*/
#define BIT_POT             (0x03ff0000)    // POT
#define BIT_PCTLSIZE        (0x00000008)    // PCTLSIZE
#define BIT_PCTLPEN         (0x00000004)    // PCTLPEN
#define BIT_PCTLLDON        (0x00000002)    // PCTLLDON
#define BIT_PCTLPON         (0x00000001)    // PCTLPON

/*--------------------------------------------------------------------------*
 *  ƥȥ⡼ɥ쥸
 *--------------------------------------------------------------------------*/
#define BIT_TMDMPT          (0x00000004)    // TMDMPT
#define BIT_TMDLUTP         (0x00000002)    // TMDLUTP
#define BIT_TMDFDO          (0x00000001)    // TMDFDO

/*==========================================================================*
 *
 *  ȿĴ쥸
 *
 *==========================================================================*/
/*--------------------------------------------------------------------------*
 *  ȿĴ쥸
 *--------------------------------------------------------------------------*/
#define BIT_FACMOD          (0x00000008)    // FACMOD
#define BIT_FPLLMOD         (0x00000004)    // FPLLMOD
#define BIT_FFMEN           (0x00000002)    // FFMEN
#define BIT_FSLEEP          (0x00000001)    // FSLEEP


/****************************************************************************
 *
 *
 *  FLASH(FUJITSUMBM29LV160TE)
 *
 *
 ****************************************************************************/

/*==========================================================================*
 *
 *  ɥ쥹(A19-A11)
 *
 *==========================================================================*/
#define FLM_SA0             (0x000)           // SA0
#define FLM_SA1             (0x010)           // SA1
#define FLM_SA2             (0x020)           // SA2
#define FLM_SA3             (0x030)           // SA3
#define FLM_SA4             (0x040)           // SA4
#define FLM_SA5             (0x050)           // SA5
#define FLM_SA6             (0x060)           // SA6
#define FLM_SA7             (0x070)           // SA7
#define FLM_SA8             (0x080)           // SA8
#define FLM_SA9             (0x090)           // SA9
#define FLM_SA10            (0x0a0)           // SA10
#define FLM_SA11            (0x0b0)           // SA11
#define FLM_SA12            (0x0c0)           // SA12
#define FLM_SA13            (0x0d0)           // SA13
#define FLM_SA14            (0x0e0)           // SA14
#define FLM_SA15            (0x0f0)           // SA15
#define FLM_SA16            (0x100)           // SA16
#define FLM_SA17            (0x110)           // SA17
#define FLM_SA18            (0x120)           // SA18
#define FLM_SA19            (0x130)           // SA19
#define FLM_SA20            (0x140)           // SA20
#define FLM_SA21            (0x150)           // SA21
#define FLM_SA22            (0x160)           // SA22
#define FLM_SA23            (0x170)           // SA23
#define FLM_SA24            (0x180)           // SA24
#define FLM_SA25            (0x190)           // SA25
#define FLM_SA26            (0x1a0)           // SA26
#define FLM_SA27            (0x1b0)           // SA27
#define FLM_SA28            (0x1c0)           // SA28
#define FLM_SA29            (0x1d0)           // SA29
#define FLM_SA30            (0x1e0)           // SA30
#define FLM_SA31            (0x1f0)           // SA31
#define FLM_SA32            (0x1f8)           // SA32
#define FLM_SA33            (0x1fa)           // SA33
#define FLM_SA34            (0x1fc)           // SA34


#ifdef __cplusplus
}
#endif

#endif /* __PEB_MAP_H__ */
